﻿SELECT DISTINCT edad FROM ciclista WHERE nomequipo='banesto';
SELECT edad FROM ciclista WHERE nomequipo='banesto'OR'navigare';
SELECT dorsal FROM ciclista WHERE nomequipo='banesto' AND edad BETWEEN 25 AND 32;
SELECT dorsal FROM ciclista WHERE nomequipo='banesto' OR edad BETWEEN 25 AND 32;
SELECT LEFT(nomequipo,1) FROM ciclista WHERE LEFT(nombre,1)='R';
SELECT numetapa FROM etapa WHERE salida=llegada;
SELECT numetapa FROM etapa WHERE salida<>llegada AND dorsal IS NOT NULL;
SELECT nompuerto FROM puerto WHERE altura BETWEEN 1000 AND 2000 OR altura>2400;
SELECT dorsal FROM puerto WHERE altura BETWEEN 1000 AND 2000 OR altura>2400;
SELECT COUNT(DISTINCT dorsal) AS nciclistas FROM etapa;
SELECT DISTINCT numetapa FROM puerto;       SELECT COUNT(*) FROM (SELECT DISTINCT numetapa FROM puerto) AS c1;
SELECT COUNT(DISTINCT dorsal) FROM puerto;
SELECT COUNT(nompuerto) AS npuertos,numetapa FROM puerto GROUP BY numetapa;
SELECT AVG(altura) FROM puerto;
SELECT numetapa FROM puerto GROUP BY numetapa HAVING AVG(altura) <1500;
SELECT COUNT(*) FROM (SELECT numetapa FROM puerto GROUP BY numetapa HAVING AVG(altura) <1500) c1;
SELECT dorsal,COUNT(*) AS nmaillots FROM lleva GROUP BY dorsal;
SELECT dorsal,COUNT(código),código FROM lleva GROUP BY dorsal,código;
SELECT dorsal,numetapa, COUNT(*) AS numero FROM lleva GROUP BY dorsal,numetapa;